function KnetQRCode()
{
	this.Width;
	this.Height;
	this.Render;
	this.Text;
	this.Source;
	this.Option;
	this.Color;
	this.Procedure;
	this.Message;

	
	this.show = function()
	{
		///UserCodeRegionStart:[show] (do not remove this comment.)
	var _this      = this;
	var KnetQRcode = '' ;	
		
	document.getElementById(this.ContainerName).innerHTML = KnetQRcode;		
	
   	jQuery('#'+this.ContainerName).qrcode({
		render : _this.render,	
		width  : _this.Width,
		height : _this.Height,
		color  : _this.Color,
		text   : _this.Text
	});	
	
	var objeto = _this.Procedure;
	
	if(_this.Option == 'AutoCommit'){
		
		var image = document.getElementById("KnetNet").toDataURL("image/png");
			image = image.replace('data:image/png;base64,', '');
			$.ajax({
				type: 'POST',
				url: _this.Procedure,
				data: {KnetQRCode:image }			
			});
	}
	
	
	if (_this.Option == 'OnClick'){

	 $(function() {
	 	$('#'+_this.ContainerName).click(function() {
				var image = document.getElementById("KnetNet").toDataURL("image/png");
				image = image.replace('data:image/png;base64,', '');
				$.ajax({
					type: 'POST',
					url: _this.Procedure,
					data: {KnetQRCode:image },
					success: function(msg) {
						alert(_this.Message);
					}
				});
			});
		});			 
	}

  
	///UserCodeRegionEnd: (do not remove this comment.)
	}
	///UserCodeRegionStart:[User Functions] (do not remove this comment.)
	
	///UserCodeRegionEnd: (do not remove this comment.):
}